Bug 72369 - glitches in serious sam 3 with the sb shader backend
glitches in serious sam 3 with the sb shader backend
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600
unspecified
Other All
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-05 19:41 UTC by Andre Heider
Modified: 2013-12-11 00:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glitches with sb (143.93 KB, image/jpeg)
2013-12-05 19:41 UTC, Andre Heider
Details
R600_DEBUG=sb,ps,vs (114.12 KB, application/octet-stream)
2013-12-05 19:42 UTC, Andre Heider
Details
patch (838 bytes, patch)
2013-12-07 02:49 UTC, Vadim Girlin
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Heider 2013-12-05 19:41:41 UTC
Created attachment 90320 [details]
glitches with sb

Seen on a BARTS class radeon with mesa master, 10.0 and 9.2 branches, see screenshot.

These glitches do not occur with R600_DEBUG=nosb

Using the current build 193968 of ss3.
Comment 1 Andre Heider 2013-12-05 19:42:27 UTC
Created attachment 90321 [details]
R600_DEBUG=sb,ps,vs
Comment 2 Vadim Girlin 2013-12-07 02:49:53 UTC
Created attachment 90386 [details] [review]
patch

Does this patch help?
Comment 3 Andre Heider 2013-12-07 09:48:06 UTC
Yes it does, thanks Vadim!
Comment 4 Benjamin Bellec 2013-12-10 17:52:06 UTC
I also had these glitches in Serious Sam 3 and a Radeon HD5870 (AMD CYPRESS) using Mesa 10.1.0-devel (git-1e71493). But no glitches with 9.2.4 (Fedora packages).

Anyway your patch Vadim fixes the problem indeed. But to be more precise, the glitches was only here when FXAA (Fast Approximate Anti-Aliasing) was set to "High" or "Ultra", but not when set to "None", "Low" or "Medium".
Comment 5 Vadim Girlin 2013-12-11 00:14:36 UTC
Fixed by commit 00faf828